%global momorel 3
%global __libtoolize :

Name:		nautilus-cd-burner
Summary:	Nautilus cd burner
Version: 2.24.0
Release: %{momorel}m%{?dist}
License: 	GPL
Group:		User Interface/Desktops
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.24/%{name}-%{version}.tar.bz2 
NoSource: 0
URL: 		http://www.gnome.org/

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: intltool
BuildPrereq: pkgconfig
BuildPrereq: glib2-devel >= 2.18.1
BuildPrereq: libgnome-devel >= 2.24.1
BuildPrereq: gtk2-devel >= 2.14.3
BuildPrereq: libglade2-devel >= 2.6.3
BuildPrereq: libgnomeui-devel >= 2.24.0
BuildPrereq: dbus-glib-devel >= 0.76
BuildPrereq: gnome-mount-devel >= 0.8

BuildPrereq: nautilus-devel >= 2.24.0
BuildPrereq: gcc-c++
BuildPrereq: hal-devel >= 0.5.10
BuildPrereq: eel2-devel >= 2.24.0
BuildPrereq: openssl-devel >= 0.9.8g
BuildPrereq: GConf2

Requires: dvd+rw-tools
Requires: gnome-mount

%description
Nautilus is an open-source file manager and graphical shell being
developed by Eazel, Inc. and others. It is part of the GNOME project, and its
source code can be found in the GNOME CVS repository. Nautilus is still in
the early stages of development. It will become an integral part of the
GNOME desktop environment when it is finished.

%package devel
Summary: nautilus-cd-burner-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
BuildPrereq: libglade2-devel
BuildPrereq: glib2-devel
BuildPrereq: gnome-vfs2-devel
BuildPrereq: gtk2-devel
BuildPrereq: libgnome-devel
BuildPrereq: nautilus-devel

%description devel
nautilus-cd-burner-devel

%prep
%setup -q

%build
%configure --disable-schemas-install --enable-gnome-mount
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post
gtk-update-icon-cache -q %{_datadir}/icons/hicolor

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="nautilus-cd-burner.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule /etc/gconf/schemas/$S > /dev/null
done

%files
%defattr (-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README TODO
%{_sysconfdir}/gconf/schemas/nautilus-cd-burner.schemas
%{_bindir}/nautilus-cd-burner
%{_datadir}/nautilus-cd-burner
%{_datadir}/locale/*/*/*
%{_libdir}/nautilus/extensions-2.0/libnautilus-burn-extension.so
%{_libdir}/nautilus/extensions-2.0/libnautilus-burn-extension.la
%{_libdir}/libnautilus-burn.so.*
%exclude %{_libdir}/libnautilus-burn.la
%{_datadir}/applications/nautilus-cd-burner.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/applications/nautilus-cd-burner-open-iso.desktop

%files devel
%defattr (-, root, root)
%{_includedir}/*
%{_libdir}/libnautilus-burn.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu May 21 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.24.0-3m)
- define __libtoolize

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.0-2m)
- rebuild against rpm-4.6

* Sun Sep 28 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-1m)
- update to 2.24.0

* Sat Apr 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-1m)
- update to 2.22.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0-2m)
- rebuild against gcc43

* Fri Mar 14 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- update to 2.22.0

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.20.0-2m)
- %%NoSource -> NoSource

* Fri Sep 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- update to 2.20.0

* Tue May 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.2-1m)
- update to 2.18.2

* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.18.1-1m)
- update to 2.18.1

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-1m)
- update to 2.18.0

* Tue Feb 27 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.8-1m)
- update to update to 2.17.8

* Thu Feb 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.7-4m)
- rewind %%post script (gconftool-2)

* Tue Feb 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.7-3m)
- good-bye %%makeinstall

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.7-2m)
- revice %%post script (gconftool-2)

* Sat Feb 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.7-1m)
- update to 2.17.7 (unstable)

* Sat Feb  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.3-1m)
- update to 2.16.3

* Wed Nov 22 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.2-1m)
- update to 2.16.2

* Thu Oct  5 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.1-1m)
- update to 2.16.1

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-1m)
- update to 2.16.0

* Fri Sep  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.3-2m)
- rebuild against dbus 0.92

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.14.3-2m)
- rebuild against expat-2.0.0-1m

* Wed Aug 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.3-1m)
- update to 2.14.3

* Tue Jul  4 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.2-2m)
- use gnome-mount

*Tue May 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.2-1m)
- update to 2.14.2

* Tue May  2 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.14.1-2m)
- rebuild against dbus-0.61

* Thu Apr 13 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.1-1m)
- update to 2.14.1

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.14.0.2-2m)
- rebuild against openssl-0.9.8a

* Sat Apr  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0.2-1m)
- update to 2.14.0.2

* Sun Feb 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.3-2m)
- add Requires: dvd+rw-tools

* Sat Feb 11 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.3-1m)
- update to 2.12.3

* Tue Jan  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.2-2m)
- rebuild against dbus-0.60-2m

* Mon Dec  5 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.2-1m)
- update to 2.12.2
- GNOME 2.12.2 Desktop

* Mon Nov 21 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.1-1m)
- version up
- GNOME 2.12.1 Desktop

* Wed Nov  9 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.8.6-5m)
- add gcc4 patch
- Patch10: nautilus-cd-burner-2.8.6-gcc4.patch

* Fri Nov  4 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.8.6-4m)
- patch for new hal/dbus api (nautilus-cd-burner-2.8.6-hal-api.patch)

* Sun Jul  2 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.8.6-3m)
- move %%{_libdir}/libnautilus-burn.so* to devel package to main package
  [Momonga-devel.ja:03117][momongaja:00119]

* Sat Apr  2 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.8.6-2m)
- add patch0

* Wed Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.8.6-1m)
- version 2.8.6
- GNOME 2.8 Desktop
- add devel package

* Wed Dec 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.6.1-3m)
- add auto commands before %%build for fix missing lib*.so problem

* Sun Aug 15 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.6.1-2m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Tue Apr 27 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.6.1-1m)
- version 2.6.1

* Sat Apr 24 2004 Toru Hoshina <t@momomnga-linux.org>
- (2.6.0-2m)
- revised spec for rpm 4.2.

* Thu Apr 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.6.0-1m)
- version 2.6.0
- GNOME 2.6 Desktop
- adjustment BuildPreReq

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (0.6.0-2m)
- revised spec for rpm 4.2.

* Mon Oct 27 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.6.0-1m)
- version 0.6.0

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.5.3-1m)
- version 0.5.3

* Sat Aug 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.5.0-1m)
- version 0.5.0

* Mon Jun 02 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.4.3-1m)
- version 0.4.3

* Tue May 27 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.4.2-1m)
- version 0.4.2

* Thu May 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.4.1-1m)
- version 0.4.1

* Wed Apr 02 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.4.0-1m)
- version 0.4.0

* Mon Mar 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.2-3m)
- rebuild against for XFree86-4.3.0

* Sat Mar  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.3.2-2m)
  rebuild against openssl 0.9.7a

* Tue Jan 28 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.2-1m)
- version 0.3.2

* Sat Jan 25 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.1-2m)
- add transration

* Tue Jan 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.1-1m)
- version 0.3.1

* Sun Dec 15 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.2-1m)
- version 0.2

* Thu Dec 12 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1-1m)
- version 0.1
